Summary: This is the GNU TLS library
Name: gnutls
Version: 1.2.4
Release: 4tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnutls.org/pub/gnutls/%{name}-%{version}.tar.bz2
Patch0: gnutls-CVE-2006-0645.patch
Patch1: gnutls-1.2.4-CVE-2006-4790.patch
URL: http://www.gnu.org/software/gnutls/
BuildRequires: libgcrypt-devel, libtasn1-devel, opencdk-devel
BuildRequires: zlib-devel
Requires: libgcrypt, libtasn1, opencdk, libgpg-error
Buildroot: %{_tmppath}/%{name}-root

%description
GnuTLS is a project that aims to develop a library which provides a secure layer, over a reliable transport layer. 
Currently the GnuTLS library implements the proposed standards by the IETF's TLS working group.

%package devel
Summary:	Header files etc to develop gnutls applications
Group:		Trustix Official
Requires:	%{name}	= %{version}-%{release}
Requires:	libgcrypt-devel,libtasn1-devel,opencdk-devel

%description devel
Header files etc to develop gnutls applications.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --prefix=%{_prefix} \
	--with-included-opencdk \
	--with-included-libtasn1 \
	--with-included-lzo 
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT%{_datadir}/info/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/*
%exclude %{_bindir}/*-config
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,0755)
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*
%{_includedir}/gnutls/*
%{_datadir}/aclocal/*.m4
%{_mandir}/*

%changelog
* Fri Sep 22 2006 Nived Gopalan <nived at trustix dot org> 1.2.4-4tr
- SECURITY Fix: A vulnerability has been reported in GnuTLS, caused due
  to an error in the verification of certain signatures. If a RSA key
  with exponent 3 is used, it may be possible to forge PKCS #1 v1.5
  signatures signed with that key.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2006-4790 to this issue.

* Mon Feb 13 2006 Nived Gopalan <nived at trustix dot org> 1.2.4-3tr
- SECURITY Fix: Evgeny Legerov has reported some vulnerabilities in 
  GnuTLS libtasn1, which potentially can be exploited by malicious 
  people to cause a DoS. The vulnerabilities are caused due to errors
  within the DER decoder in libtasn1. This can be exploited to crash an
  application that uses the library via specially-crafted input.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2006-0645 to this issue

* Tue May 31 2005 Ajith Thampi <ajith at comodo dot com> 1.2.4-1tr
- New Upstream
			
* Mon May 09 2005 Ajith Thampi <ajith at comodo dot com> 1.2.3-1tr
- New Upstream	
- Fix DOS Vulnerabilty, A remote user can send specially crafted data to 
  trigger a flaw in record packet parsing to cause denial of service 
  conditions.

* Thu Apr 07 2005 Bipin S  <bipin at comodo dot com> 1.2.1-1tr
- New upsteam

* Thu Mar 17 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 1.2.0-5tr
- Rebuild with glibc-2.3.4-6tr

* Fri Mar 11 2005 Ajith Thampi <ajith at comodo dot com> 1.2.0-4tr
- configure option "disable srp authentication" cleared

* Fri Mar 04 2005 Ajith Thampi <ajith at comodo dot com> 1.2.0-2tr
- Fixed filelist
- added configure options to opencdk, disable srp authentication

* Tue Mar 01 2005 Ajith Thampi <ajith at comodo dot com> 1.2.0-1tr
- New Upstream
- Converted to official package for tsl-3.0, minor cleanup

* Tue Dec 14 2004 Syed Shabir <syedshabir at comodo dot com> 1.0.23-1sh
- New Upstream

* Mon Dec 06 2004 Syed Shabir <syedshabir at comodo dot com> 0.9.91-1sh
- Initial Spec file for GnuTLS
